|
请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!
您需要 登录 才可以下载或查看,没有账号?注册
x
tag_t partTag = NULL_TAG;) Y) Q- B( U3 ~ C( T& y
double origin[3] = {0,0,0};: u" c; l( x8 [6 x
char *height = "50";
7 X& F, X9 ?2 R! ~ w6 ychar *diam = "10";
( @) z& X+ s$ c- {7 Bdouble direction[3] = {0,0,1};: d" A* q9 v: E9 O
tag_t cylTag = NULL_TAG;
5 {% t- Y! y& d$ ?uf_list_p_t eageList = NULL_TAG;- E( V+ b; `( a6 w# d5 `! C C
int count = 0;
: v9 F" L7 L# c) E5 ^" _1 `char msg[256];
. r& m0 C* X+ k- P+ Aint i;; z7 h4 Q0 u, s& `5 c5 L7 E
tag_t eageTag = NULL_TAG;
; j3 B2 a% }9 k2 y3 @3 B8 B0 S1 G/ mdouble centroid[2][3];! r/ T1 H) _( F
UF_CURVE_line_t line_coords;- B4 L! t0 S& } Y! W
tag_t lineTag = NULL_TAG;
' T9 @1 g1 I1 y4 @+ e
; w& I8 t- S) D3 Q8 |4 e' e! \' Cextern DllExport void ufusr( char *parm, int *returnCode, int rlen )
3 k( K( k" v! v/ r{
' J# N: e6 ~3 d1 M /* Initialize the API environment */
8 |" S1 Y# ], W2 L, S if( UF_CALL(UF_initialize()) ) 6 f" v+ b0 c4 f0 \
{1 M0 y+ Z9 g2 w
/* Failed to initialize */
9 S1 d7 j. Q) O# O return;. X) n: }9 h, I0 h, O4 s& e
}* V; w) M8 L1 P& S( _' p; U
- _: \2 V9 k5 W
/* TODO: Add your application code here */
' _* k- ^ u- u9 v, o# O! k+ R9 x, A& i7 K4 A
UF_PART_new("D:\\part.prt", 1, &partTag);8 O# I7 P+ t. X1 |+ }# j! q, O
5 y4 M3 h4 _5 I1 h. L UF_MODL_create_cyl1(UF_NULLSIGN, origin, height, diam, direction, &cylTag);
0 `: ^8 w# _. _3 t, ?& z UF_MODL_ask_feat_edges(cylTag, &eageList);
" ]* Q! g8 S" A& I UF_MODL_ask_list_count(eageList, &count);$ n" J( N4 ^! C1 ]% C: r
sprintf(msg,"count number: %d",count);
0 g) W' L; ]5 j uc1601(msg,1);; x! n( g; |9 v3 x1 ]5 b2 \
5 `7 d$ L$ M. I0 h
for ( i = 0; i < count; i++)7 _* P8 e b* v+ A) S
{
* E3 c. {& j$ k" S; A, X UF_MODL_ask_list_item(eageList, i, &eageTag);//将对应边保存, d, h% N: N- w" f
4 U4 U0 ^7 \& I. x UF_CURVE_ask_centroid(eageTag, centroid[i]);//将对应的边的中点获取7 o8 W8 H& ]: e
}7 i, P& Q4 }$ V, |6 s' k0 S! L
, q/ }, B6 ]8 l. [# Y line_coords.start_point[0] = centroid[0][0];//第一个曲线的中心坐标" {9 _4 K. Q6 {/ ] R: z
line_coords.start_point[1] = centroid[0][1];
) n7 h6 o0 u5 h9 d j line_coords.start_point[2] = centroid[0][2];, c! |! q' s& F) Z+ b6 P6 C
# Q* \. t* ?0 K/ P1 N: w# @" ~- {$ h line_coords.end_point[0] = centroid[1][0];9 R7 S$ T9 f$ F8 R" Q, T
line_coords.end_point[1] = centroid[1][1];
, j l" k- u6 w8 t1 a. Z% z line_coords.end_point[2] = centroid[1][2];) c( b; e& f/ A) f$ e6 E: j7 g
7 e" f$ L8 A! A UF_CURVE_create_line(&line_coords, &lineTag);: D6 w# K/ d0 e. b: `( b
UF_PART_save();$ V% M8 y* s. l1 f1 [" b# h
+ }4 z9 X* s/ d |" ] |
-
-
评分
-
查看全部评分
|